#-------------------------------------------------------------------------------
#
# TAKUJI HATAKAWA(TAK2HATA)
# mr_penta[at]hotmail[dot]com
#
#-------------------------------------------------------------------------------

require 'sketchup.rb'
require 'extensions.rb'

#-------------------------------------------------------------------------------

module TAK2HATA
module T2H_2D_DXF_IMPORT
  ### CONSTANTS ### ------------------------------------------------------------
  # Plugin information
  PLUGIN          = self
  PLUGIN_ID       = 'T2H_2D_DXF_IMPORT'
  PLUGIN_NAME     = 'T2H_2D_DXF_IMPORT'
  PLUGIN_VERSION  = '4.0.1'
  
  # Resource paths
  FILENAMESPACE = File.basename( __FILE__, '.rb' )
  PATH_ROOT     = File.dirname( __FILE__ )
  PATH          = "T2H_2D_DXF_IMPORT"

  ### EXTENSION ### ------------------------------------------------------------
  
  ##unless file_loaded?( __FILE__ )
    loader = File.join( PATH, 'main.rb' )
    @ex = SketchupExtension.new( PLUGIN_NAME, loader )
    @ex.description = "ONLY 2D DXF IMPORT with text.
General disclaimer
I MAKES NO GUARANTEE OF VALIDITY about this script.
Please use this script at your own risk.
免責事項
このスクリプトによって如何なる損害が発生しても製作者は責任を負いません。各人の責任においてご使用ください。"
    @ex.version     = PLUGIN_VERSION
    @ex.copyright   = 'TAKUJI HATAKWA 2011—2013'
    @ex.creator     = 'TAK2HATA (kurohoppie@gmail.com)'
    Sketchup.register_extension( @ex, true )
  ##end
end
end # module TAK2HATA

#-------------------------------------------------------------------------------

##file_loaded( __FILE__ )

#-------------------------------------------------------------------------------
file_loaded("t2h_2d_dxf_import.rb")


